Meu apt-get tá quebrado, e o terminal inicia com mensagem de erro.

1. Meu apt-get tá quebrado, e o terminal inicia com mensagem de erro.

Marcos Ramon do Nascimento
ramonglobinho

(usa Ubuntu)

Enviado em 30/07/2013 - 23:19h

Boa noite pessoal,

São 2 problemas que começaram juntos, então acho que estão interligados.

Assim que abro o terminal aparece a mensagem....

/usr/bin/lesspipe: 1: /usr/bin/lesspipe: basename: not found
/usr/bin/lesspipe: 279: [: =: unexpected operator


...


e o apt-get não funciona terminando a execução com a mensagem

/usr/bin/dpkg-maintscript-helper: 260: /usr/bin/dpkg-maintscript-helper: basename: not found
dpkg: erro processando /var/cache/apt/archives/apt_0.8.16~exp12ubuntu10.10_i386.deb (--unpack):
sub-processo novo script pre-installation retornou estado de saída de erro 127
/usr/bin/dpkg-maintscript-helper: 260: /usr/bin/dpkg-maintscript-helper: basename: not found
dpkg: erro enquanto efetuava a limpeza:
sub-processo novo script post-removal retornou estado de saída de erro 127
Erros foram encontrados durante o processamento de:
/var/cache/apt/archives/apt_0.8.16~exp12ubuntu10.10_i386.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)

...


me ajuda aeh galera, por favor...


  


2. Re: Meu apt-get tá quebrado, e o terminal inicia com mensagem de erro.

João Victor
vikitor566

(usa Fedora)

Enviado em 31/07/2013 - 00:08h

Parece que o dpkg tenta remover um pacote quebrado e retorna erro ,tente remover esse arquivo manualmente/var/cache/apt/archives/apt_0.8.16~exp12ubuntu10.10_i386.deb


3. Re: Meu apt-get tá quebrado, e o terminal inicia com mensagem de erro.

Marcos Ramon do Nascimento
ramonglobinho

(usa Ubuntu)

Enviado em 31/07/2013 - 12:15h

vikitor566 escreveu:

Parece que o dpkg tenta remover um pacote quebrado e retorna erro ,tente remover esse arquivo manualmente/var/cache/apt/archives/apt_0.8.16~exp12ubuntu10.10_i386.deb


Cara. eu exclui...

o erro continua, mas agora o apt-get retorna um erro imenso:


...


dpkg: aviso: falta ficheiro de lista de ficheiros `ure', assumindo que o pacote não tem actualmente ficheiros instalados.

dpkg: aviso: falta ficheiro de lista de ficheiros `libnl-3-200', assumindo que o pacote não tem actualmente ficheiros instalados.

dpkg: aviso: falta ficheiro de lista de ficheiros `empathy', assumindo que o pacote não tem actualmente ficheiros instalados.

dpkg: aviso: falta ficheiro de lista de ficheiros `esound-common', assumindo que o pacote não tem actualmente ficheiros instalados.

dpkg: aviso: falta ficheiro de lista de ficheiros `libattica0.3', assumindo que o pacote não tem actualmente ficheiros instalados.

dpkg: aviso: falta ficheiro de lista de ficheiros `libavahi-ui-gtk3-0', assumindo que o pacote não tem actualmente ficheiros instalados.

dpkg: aviso: falta ficheiro de lista de ficheiros `gvfs-bin', assumindo que o pacote não tem actualmente ficheiros instalados.

dpkg: aviso: falta ficheiro de lista de ficheiros `libgl1-mesa-dri', assumindo que o pacote não tem actualmente ficheiros instalados.

dpkg: aviso: falta ficheiro de lista de ficheiros `libjavascriptcoregtk-1.0-0', assumindo que o pacote não tem actualmente ficheiros instalados.

dpkg: aviso: falta ficheiro de lista de ficheiros `ubuntu-sso-client-gtk', assumindo que o pacote não tem actualmente ficheiros instalados.

dpkg: aviso: falta ficheiro de lista de ficheiros `libxdmcp6', assumindo que o pacote não tem actualmente ficheiros instalados.

dpkg: aviso: falta ficheiro de lista de ficheiros `libt1-5', assumindo que o pacote não tem actualmente ficheiros instalados.

dpkg: aviso: falta ficheiro de lista de ficheiros `libreoffice-style-human', assumindo que o pacote não tem actualmente ficheiros instalados.

dpkg: aviso: falta ficheiro de lista de ficheiros `shared-mime-info', assumindo que o pacote não tem actualmente ficheiros instalados.

dpkg: aviso: falta ficheiro de lista de ficheiros `libraw1394-11', assumindo que o pacote não tem actualmente ficheiros instalados.

dpkg: aviso: falta ficheiro de lista de ficheiros `kdelibs5-plugins', assumindo que o pacote não tem actualmente ficheiros instalados.

dpkg: aviso: falta ficheiro de lista de ficheiros `unity-greeter', assumindo que o pacote não tem actualmente ficheiros instalados.

dpkg: aviso: falta ficheiro de lista de ficheiros `libpam-cap', assumindo que o pacote não tem actualmente ficheiros instalados.

dpkg: aviso: falta ficheiro de lista de ficheiros `libpolkit-gobject-1-0', assumindo que o pacote não tem actualmente ficheiros instalados.

dpkg: aviso: falta ficheiro de lista de ficheiros `python-sip', assumindo que o pacote não tem actualmente ficheiros instalados.

dpkg: aviso: falta ficheiro de lista de ficheiros `libgtk-3-common', assumindo que o pacote não tem actualmente ficheiros instalados.

dpkg: aviso: falta ficheiro de lista de ficheiros `ibus-gtk3', assumindo que o pacote não tem actualmente ficheiros instalados.

dpkg: aviso: falta ficheiro de lista de ficheiros `libart-2.0-2', assumindo que o pacote não tem actualmente ficheiros instalados.

dpkg: aviso: falta ficheiro de lista de ficheiros `libatspi2.0-0', assumindo que o pacote não tem actualmente ficheiros instalados.

dpkg: aviso: falta ficheiro de lista de ficheiros `libatk-adaptor-schemas', assumindo que o pacote não tem actualmente ficheiros instalados.

dpkg: aviso: falta ficheiro de lista de ficheiros `libsocket6-perl', assumindo que o pacote não tem actualmente ficheiros instalados.

dpkg: aviso: falta ficheiro de lista de ficheiros `libmagickcore4', assumindo que o pacote não tem actualmente ficheiros instalados.

dpkg: aviso: falta ficheiro de lista de ficheiros `gimp', assumindo que o pacote não tem actualmente ficheiros instalados.

dpkg: aviso: falta ficheiro de lista de ficheiros `dash', assumindo que o pacote não tem actualmente ficheiros instalados.

dpkg: aviso: falta ficheiro de lista de ficheiros `memtest86+', assumindo que o pacote não tem actualmente ficheiros instalados.

dpkg: aviso: falta ficheiro de lista de ficheiros `libelf1', assumindo que o pacote não tem actualmente ficheiros instalados.

dpkg: aviso: falta ficheiro de lista de ficheiros `gtk2-engines-murrine', assumindo que o pacote não tem actualmente ficheiros instalados.

dpkg: aviso: falta ficheiro de lista de ficheiros `python-aptdaemon', assumindo que o pacote não tem actualmente ficheiros instalados.

dpkg: aviso: falta ficheiro de lista de ficheiros `shotwell', assumindo que o pacote não tem actualmente ficheiros instalados.

dpkg: aviso: falta ficheiro de lista de ficheiros `xserver-common', assumindo que o pacote não tem actualmente ficheiros instalados.

dpkg: aviso: falta ficheiro de lista de ficheiros `libgnomekbd7', assumindo que o pacote não tem actualmente ficheiros instalados.

dpkg: aviso: falta ficheiro de lista de ficheiros `libpth20', assumindo que o pacote não tem actualmente ficheiros instalados.

dpkg: aviso: falta ficheiro de lista de ficheiros `debconf', assumindo que o pacote não tem actualmente ficheiros instalados.

dpkg: aviso: falta ficheiro de lista de ficheiros `gnome-screenshot', assumindo que o pacote não tem actualmente ficheiros instalados.

dpkg: aviso: falta ficheiro de lista de ficheiros `libhttp-date-perl', assumindo que o pacote não tem actualmente ficheiros instalados.


dpkg: aviso: falta ficheiro de lista de ficheiros `xserver-xorg-input-vmmouse', assumindo que o pacote não tem actualmente ficheiros instalados.
(Lendo banco de dados ... 68 ficheiros e directórios actualmente instalados.)
Preparando para substituir apt 0.8.16~exp12ubuntu10.10 (usando .../apt_0.8.16~exp12ubuntu10.10_i386.deb) ...
/usr/bin/dpkg-maintscript-helper: 260: /usr/bin/dpkg-maintscript-helper: basename: not found
dpkg: erro processando /var/cache/apt/archives/apt_0.8.16~exp12ubuntu10.10_i386.deb (--unpack):
sub-processo novo script pre-installation retornou estado de saída de erro 127
Nenhum relatório apport escrito pois MaxReports já foi atingido
/usr/bin/dpkg-maintscript-helper: 260: /usr/bin/dpkg-maintscript-helper: basename: not found
dpkg: erro enquanto efetuava a limpeza:
sub-processo novo script post-removal retornou estado de saída de erro 127
Erros foram encontrados durante o processamento de:
/var/cache/apt/archives/apt_0.8.16~exp12ubuntu10.10_i386.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)


4. Re: Meu apt-get tá quebrado, e o terminal inicia com mensagem de erro.

Glauber GF
mcnd2

(usa Debian)

Enviado em 31/07/2013 - 12:26h

Já tento dar o comando apt-get install -f.

...


5. Re: Meu apt-get tá quebrado, e o terminal inicia com mensagem de erro.

Marcos Ramon do Nascimento
ramonglobinho

(usa Ubuntu)

Enviado em 31/07/2013 - 12:39h

mcnd2 escreveu:

Já tento dar o comando apt-get install -f.

...


É isso que o terminal retorna quando digito esse comando.... Esse erro q postei antes


6. Re: Meu apt-get tá quebrado, e o terminal inicia com mensagem de erro.

Glauber GF
mcnd2

(usa Debian)

Enviado em 31/07/2013 - 12:51h

Tente esse comando dpkg --configure -a.

Ele verifica pendências na configuração dos pacotes, concluindo a instalação em casos em que a instalação foi abortada no meio, como, por exemplo, quando o micro desliga por falta de energia

...


7. Re: Meu apt-get tá quebrado, e o terminal inicia com mensagem de erro.

Marcos Ramon do Nascimento
ramonglobinho

(usa Ubuntu)

Enviado em 31/07/2013 - 12:59h

Não acontece nada visível...

[email protected]:~$ sudo dpkg --configure -a
[email protected]:~$ 


=(


8. Re: Meu apt-get tá quebrado, e o terminal inicia com mensagem de erro.

Glauber GF
mcnd2

(usa Debian)

Enviado em 31/07/2013 - 13:49h

Já tentou rodar direto como root sem dar privilégio ao usuário normal?


9. Re: Meu apt-get tá quebrado, e o terminal inicia com mensagem de erro.

Marcos Ramon do Nascimento
ramonglobinho

(usa Ubuntu)

Enviado em 31/07/2013 - 13:58h

Não entendi... como faz isso?


10. Re: Meu apt-get tá quebrado, e o terminal inicia com mensagem de erro.

Glauber GF
mcnd2

(usa Debian)

Enviado em 31/07/2013 - 14:13h

rode o comando 'sudo su' para se torna root, depois você rode o comando dpkg.


11. Re: Meu apt-get tá quebrado, e o terminal inicia com mensagem de erro.

Marcos Ramon do Nascimento
ramonglobinho

(usa Ubuntu)

Enviado em 31/07/2013 - 14:20h

Acabei de fazer... continuou o mesmo erro...


12. Re: Meu apt-get tá quebrado, e o terminal inicia com mensagem de erro.

Glauber GF
mcnd2

(usa Debian)

Enviado em 31/07/2013 - 14:26h

Cara, o que você fez antes de começar a ter esse problema.

Passe a maior quantidade de informação para poder ser analisada.

Qual é a versão do ubuntu de acordo com seu nick vc esta usando?



01 02 03